# Pyrat Bay: Python Radiative Transfer in a Bayesian framework

# <img alt="bibmanager" src="https://github.com/pcubillos/pyratbay/blob/master/docs/figures/pyrat_logo.png" width="170">
> A Forward-modeling and retrieval code to model exoplanet atmospheres and spectra.

[![Build Status](https://travis-ci.com/pcubillos/pyratbay.svg?branch=master)](https://travis-ci.com/pcubillos/pyratbay)
[![Documentation Status](https://readthedocs.org/projects/pyratbay/badge/?version=latest)](https://pyratbay.readthedocs.io/en/latest/?badge=latest)
[![PyPI](https://img.shields.io/pypi/v/pyratbay.svg)](https://pypi.org/project/pyratbay)
[![Conda Version](https://img.shields.io/conda/vn/conda-forge/pyratbay.svg)](https://anaconda.org/conda-forge/pyratbay)
[![GitHub](https://img.shields.io/github/license/pcubillos/pyratbay.svg?color=blue)](https://pyratbay.readthedocs.io/en/latest/license.html)


### Install as:
```
pip install pyratbay
```
or (soon!):
```
conda install -c conda-forge pyratbay
```

### Docs at:
<https://pyratbay.readthedocs.io/en/latest/>

### Cite as:
```bibtex
  @ARTICLE{CubillosBlecic2021mnrasPyratBay,
         author = {{Cubillos}, Patricio E. and {Blecic}, Jasmina},
          title = "The {Pyrat Bay} Framework for Exoplanet Atmospheric Modeling: A Population Study of Hubble/WFC3 Transmission Spectra",
           year = 2021,
        journal = {\mnras},
            doi = {10.1093/mnras/stx0000},
         adsurl = {https://ui.adsabs.harvard.edu/abs/2021MNRAS.000.0000C},
        adsnote = {Provided by the SAO/NASA Astrophysics Data System},
  }
```

